import Vue from 'vue'
import SvgIcon from '@/components/SvgIcon'// svg component

// register globally
Vue.component('svg-icon', SvgIcon)
const myBusiness = require.context('./svg/myBusiness', false, /\.svg$/)
const mySettlement = require.context('./svg/mySettlement', false, /\.svg$/)
const req = require.context('./svg', false, /\.svg$/)

const requireAll = requireContext => requireContext.keys().map(requireContext)
requireAll(req)
requireAll(myBusiness)
requireAll(mySettlement)
